Bug 17495 - reports/issues_stats.pl is broken
Summary: reports/issues_stats.pl is broken
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15407 17425
Blocks: 7679
  Show dependency treegraph
 
Reported: 2016-10-25 07:21 UTC by Jonathan Druart
Modified: 2016-12-14 10:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17495: Fix 'method selected not covered by test' in reports/issues_stats.pl (4.65 KB, patch)
2016-10-25 07:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17495: Fix 'method selected not covered by test' in reports/issues_stats.pl (4.83 KB, patch)
2016-10-26 12:55 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 17495: Fix 'method selected not covered by test' in reports/issues_stats.pl (4.90 KB, patch)
2016-10-26 15:09 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-10-25 07:21:13 UTC
Template process failed: undef error - The method selected is not covered by tests! at /home/vagrant/kohaclone/C4/Templates.pm line 121., referer: http://localhost:8081/cgi-bin/koha/reports/reports-home.pl
Comment 1 Jonathan Druart 2016-10-25 07:26:01 UTC
Created attachment 56828 [details] [review]
Bug 17495: Fix 'method selected not covered by test' in reports/issues_stats.pl

If you access reports/issues_stats.pl, you will get
Template process failed: undef error - The method selected is not
covered by tests! at /home/vagrant/kohaclone/C4/Templates.pm line 121
http://localhost:8081/cgi-bin/koha/reports/reports-home.pl

Bug 15407 sent objects to the template and the selected method is not
defined.
The bug had been highlighted by bug 17425 which dies instead of hides the error.

Not that the "selected" code was not needed, the different elements of
the page never select a specific value.

Test plan:
Apply this patch and confirm that the error is no longuer displayed.
Comment 2 Marc Véron 2016-10-26 12:55:55 UTC
Created attachment 56866 [details] [review]
Bug 17495: Fix 'method selected not covered by test' in reports/issues_stats.pl

If you access reports/issues_stats.pl, you will get
Template process failed: undef error - The method selected is not
covered by tests! at /home/vagrant/kohaclone/C4/Templates.pm line 121
http://localhost:8081/cgi-bin/koha/reports/reports-home.pl

Bug 15407 sent objects to the template and the selected method is not
defined.
The bug had been highlighted by bug 17425 which dies instead of hides the error.

Not that the "selected" code was not needed, the different elements of
the page never select a specific value.

Test plan:
Apply this patch and confirm that the error is no longuer displayed.

Reproduced. Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Katrin Fischer 2016-10-26 15:09:07 UTC
Created attachment 56876 [details] [review]
[PASSED QA] Bug 17495: Fix 'method selected not covered by test' in reports/issues_stats.pl

If you access reports/issues_stats.pl, you will get
Template process failed: undef error - The method selected is not
covered by tests! at /home/vagrant/kohaclone/C4/Templates.pm line 121
http://localhost:8081/cgi-bin/koha/reports/reports-home.pl

Bug 15407 sent objects to the template and the selected method is not
defined.
The bug had been highlighted by bug 17425 which dies instead of hides the error.

Not that the "selected" code was not needed, the different elements of
the page never select a specific value.

Test plan:
Apply this patch and confirm that the error is no longuer displayed.

Reproduced. Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-10-28 11:27:48 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Mason James 2016-12-14 10:04:00 UTC
Pushed to 16.05.x, for 16.05.06 release